PC SOFT

ONLINE HELP
 WINDEVWEBDEV AND WINDEV MOBILE

Home | Sign in | English EN
  • Prerequisite
  • Steps to create an iPhone/iPad application
WINDEV
WindowsLinuxUniversal Windows 10 AppJavaReports and QueriesUser code (UMC)
WEBDEV
WindowsLinuxPHPWEBDEV - Browser code
WINDEV Mobile
AndroidAndroid Widget iPhone/iPadIOS WidgetApple WatchMac CatalystUniversal Windows 10 App
Others
Stored procedures
Prerequisite
To develop a WINDEV Mobile application for iPhone/iPad, you need:
  • 1 PC
  • 1 Mac
  • 1 iPhone and/or iPad (optional)
Why a PC?
WINDEV Mobile 27 is a Windows application that runs on Windows Vista, 7, 8, 10, 11, ...
The application will be created on the PC (Project, Analysis, Windows, etc.) before being compiled on a Mac.
You don't need to install any Mac/Apple tools.
Tip: You don't need a PC. You can install a virtualization software such as "Parallels Desktop" on a Mac to run Windows on Mac. In this case, WINDEV Mobile can be run on Mac.
Why a Mac?
A Mac is required because the project generated on PC must be compiled in a specific compiler to generate iOS applications. The minimum operating system version required is MacOs Catalina.
Xcode is the Mac compiler for generating programs that run on iOS (i.e. for iPhone, iPad, Mac Catalyst and AppleWatch).
It is recommended to use Xcode 11 or higher.

Where do I get Xcode?
To install Xcode, all you need is an iTunes account (and thus an Apple ID). Xcode can be downloaded for free from the Mac App Store (at the time of writing this document).
Remark: You can enroll in the iOS and Mac Developer Program as developer of Mac, iPhone and iPad applications. You must subscribe to deploy your applications. This allows you to download a version of Xcode. Xcode is free to download (at the time of writing this document).
Steps to create an iPhone/iPad application
These are the steps to develop an application intended to run on iOS iPhone/iPad:
Remark: The minimum required configuration is as follows:
  • Hardware: iPhone 6, iPad Air,
  • System: iOS version 11 or later
Minimum version required
  • Version 17
Comments
Click [Add] to post a comment